namespace CMSMicroservice.Application.ProductGalleriesCQ.Queries.GetAllProductGalleriesByFilter;
public class GetAllProductGallerysByFilterQueryValidator : AbstractValidator<GetAllProductGalleriesByFilterQuery>
{
    public GetAllProductGallerysByFilterQueryValidator()
    {
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<GetAllProductGalleriesByFilterQuery>.CreateWithOptions((GetAllProductGalleriesByFilterQuery)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
